/**
 * Register on AppModule: {provide: RouteReuseStrategy, useClass: RebirthRouterReuseStrategy};
 * Put {data: {reusable: true}} on reuse router config.
 */
var /**
 * Register on AppModule: {provide: RouteReuseStrategy, useClass: RebirthRouterReuseStrategy};
 * Put {data: {reusable: true}} on reuse router config.
 */
RebirthRouterReuseStrategy = /** @class */ (function () {
    function RebirthRouterReuseStrategy() {
        this.handlers = {};
        this.isReusable = function (route) {
            return route.data && route.data.reusable;
        };
        this.getReusableKey = function (route) {
            return route.url.join('/');
        };
    }
    RebirthRouterReuseStrategy.prototype.shouldDetach = function (route) {
        return this.isReusable(route);
    };
    RebirthRouterReuseStrategy.prototype.store = function (route, handle) {
        this.handlers[this.getReusableKey(route)] = handle;
    };
    RebirthRouterReuseStrategy.prototype.shouldAttach = function (route) {
        return !!route.routeConfig && !!this.handlers[this.getReusableKey(route)];
    };
    RebirthRouterReuseStrategy.prototype.retrieve = function (route) {
        return this.isReusable(route) && route.routeConfig ? this.handlers[this.getReusableKey(route)] : null;
    };
    RebirthRouterReuseStrategy.prototype.shouldReuseRoute = function (future, curr) {
        return future.routeConfig === curr.routeConfig && this.isReusable(future);
    };
    return RebirthRouterReuseStrategy;
}());
/**
 * Register on AppModule: {provide: RouteReuseStrategy, useClass: RebirthRouterReuseStrategy};
 * Put {data: {reusable: true}} on reuse router config.
 */
export { RebirthRouterReuseStrategy };
//# sourceMappingURL=router-reuse-strategy.js.map