import { EventEmitter, OnInit, TemplateRef, ChangeDetectorRef } from '@angular/core';
import { FormBuilder, FormGroup, ValidatorFn, FormControl } from '@angular/forms';
import { Modal } from '../modal';
import { DialogOptions, PromptContent } from './dialog-options.model';
import { RebirthNGConfig } from '../rebirth-ng.config';
export declare class PromptDialogComponent implements Modal, OnInit {
    private rebirthNGConfig;
    private formBuilder;
    private changeDetectorRef;
    context: DialogOptions;
    content: PromptContent;
    dismiss: EventEmitter<any>;
    btnYes: string;
    btnNo: string;
    btnYesType: string;
    btnNoType: string;
    form: FormGroup;
    validators: {
        [key: string]: {
            validator: ValidatorFn;
            message: string;
        };
    };
    defaultTemplate: TemplateRef<any>;
    constructor(rebirthNGConfig: RebirthNGConfig, formBuilder: FormBuilder, changeDetectorRef: ChangeDetectorRef);
    ngOnInit(): void;
    getFieldErrors(control: FormControl): string[];
    yes(): void;
    no(): void;
}
