import { ElementRef, AfterViewInit, Renderer2, EventEmitter, ChangeDetectorRef, TemplateRef } from '@angular/core';
import { SelectFileModel } from './file-upload.model';
import { RebirthNGConfig } from '../rebirth-ng.config';
import { HttpClient } from '@angular/common/http';
import 'rxjs/add/operator/map';
import 'rxjs/add/operator/catch';
import { Observable } from 'rxjs/Observable';
import { ControlValueAccessor } from '@angular/forms';
export declare class FileUpload implements AfterViewInit, ControlValueAccessor {
    protected rebirthNGConfig: RebirthNGConfig;
    protected renderer: Renderer2;
    protected http: HttpClient;
    protected changeDetectorRef: ChangeDetectorRef;
    accept: string;
    multiple: boolean;
    autoUpload: boolean;
    showErrors: boolean;
    maxItems: number;
    maxFileSize: number;
    uploadUrl: string;
    uploadParamName: string;
    uploadRequestOptions: any;
    imgPreview: boolean;
    previewWidth: string;
    previewHeight: string;
    cssClass: string;
    fileSizeErrorMessage: string;
    fileTypeErrorMessage: string;
    chooseButton: string;
    uploadButton: string;
    cancelButton: string;
    plusIcon: string;
    uploadIcon: string;
    loadingIcon: string;
    removeIcon: string;
    canRetry: boolean;
    toolbarTemplate: TemplateRef<any>;
    previewTemplate: TemplateRef<any>;
    disabled: boolean;
    selectFilesChange: EventEmitter<SelectFileModel[]>;
    fileUploadStart: EventEmitter<SelectFileModel[]>;
    fileUploadCompleted: EventEmitter<SelectFileModel[]>;
    fileUploadSuccess: EventEmitter<SelectFileModel>;
    fileUploadError: EventEmitter<SelectFileModel>;
    removeFiles: EventEmitter<SelectFileModel[]>;
    uploadFilesChange: EventEmitter<SelectFileModel[]>;
    uploadFiles: SelectFileModel[];
    transformResponseUrl: (res: any) => string;
    fileInput: ElementRef;
    selectFiles: SelectFileModel[];
    isUploading: boolean;
    errors: string[];
    protected onChange: (_: any) => any;
    protected onTouched: () => any;
    constructor(rebirthNGConfig: RebirthNGConfig, renderer: Renderer2, http: HttpClient, changeDetectorRef: ChangeDetectorRef);
    ngAfterViewInit(): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    isMoreThanMaxItems(): boolean;
    clearErrors(): void;
    onDropFiles($event: any): void;
    addNewFile($event: any): void;
    newFileChoose(fileInput: HTMLInputElement): void;
    removeAllSelectedFiles(): void;
    onRemoveFile(fileItem: any): void;
    onRemoveUploadFile(fileItem: any): void;
    uploadAllFiles(): void;
    private httpUploadAllFile(files);
    private httpUploadFile(fileItem);
    protected onFileUploadSuccess(fileItem: any, res: any): Observable<any>;
    private onUploadFileChange(uploadFiles);
    protected onFileUploadError(fileItem: any, error: any): Observable<any>;
    private handleFileChoose(uploadFiles);
    validFiles(files: File[]): File[];
    validFile(file: File): boolean;
    private getFileCount();
    private validFileType(file);
    mapFileModel(files: File[]): Promise<SelectFileModel[]>;
}
