var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { Component, ChangeDetectionStrategy, Optional, ChangeDetectorRef, Renderer2, Input, forwardRef } from '@angular/core';
import { FileUpload } from '../file-upload/file-upload';
import { RebirthNGConfig } from '../rebirth-ng.config';
import { HttpClient } from '@angular/common/http';
import { ModalService } from '../modal';
import { noop } from '../utils';
import { ViewImageModalComponent } from './view-image-modal.component';
import { NG_VALUE_ACCESSOR } from '@angular/forms';
var ImageUploadComponent = /** @class */ (function (_super) {
    __extends(ImageUploadComponent, _super);
    function ImageUploadComponent(rebirthNGConfig, renderer, http, changeDetectorRef, modalService) {
        var _this = _super.call(this, rebirthNGConfig, renderer, http, changeDetectorRef) || this;
        _this.modalService = modalService;
        _this.viewIcon = _this.rebirthNGConfig.imageUpload.viewIcon;
        _this.imgPreview = true;
        _this.autoUpload = true;
        _this.accept = 'image/*';
        _this.canRetry = false;
        return _this;
    }
    ImageUploadComponent.prototype.viewImage = function (fileItem) {
        if (this.disabled) {
            return;
        }
        this.modalService.open({
            component: ViewImageModalComponent,
            resolve: { url: fileItem.url, name: fileItem.name }
        }).subscribe(noop, noop);
    };
    ImageUploadComponent.prototype.uploadBtnIcon = function () {
        return this.isUploading ? this.loadingIcon : this.plusIcon;
    };
    ImageUploadComponent.decorators = [
        { type: Component, args: [{
                    selector: 're-image-upload',
                    template: "\n    <input #file type=\"file\" (change)=\"newFileChoose(file)\" style=\"display: none\"><div class=\"image-upload clearfix {{cssClass}}\" reDroppable (onDrop)=\"onDropFiles($event)\"><div *ngFor=\"let fileItem of uploadFiles\" class=\"image-upload-item\" [style.width]=\"previewWidth\" [style.height]=\"previewHeight\"><div class=\"image-upload-image-view\"><div class=\"image-upload-toolbar\"><i [ngClass]=\"{disabled: disabled}\" class=\"image-upload-toolbar-item image-upload-toolbar-view {{viewIcon}}\" (click)=\"viewImage(fileItem)\"></i> <i [ngClass]=\"{disabled: disabled}\" class=\"image-upload-toolbar-item image-upload-toolbar-remove {{removeIcon}}\" (click)=\"onRemoveUploadFile(fileItem)\"></i></div><div class=\"image-upload-item-info\"><img class=\"preview-image img-responsive\" [src]=\"fileItem.url\" [attr.alt]=\"fileItem?.name\"></div></div></div><div class=\"image-upload-item image-upload-btn\" [style.width]=\"previewWidth\" [style.height]=\"previewHeight\" (click)=\"addNewFile($event)\" *ngIf=\"!disabled && (!isMoreThanMaxItems() || isUploading)\"><div class=\"image-upload-item-info\"><i class=\"image-upload-btn-icon {{uploadBtnIcon()}}\" [ngClass]=\"{'uploading': isUploading}\"></i><div class=\"image-upload-btn-text\">{{uploadButton}}</div></div></div></div><re-alert-box class=\"file-upload-error-box\" type=\"danger\" [closable]=\"true\" (close)=\"clearErrors()\" *ngIf=\"showErrors && errors.length\"><ul><li *ngFor=\"let error of errors\">{{error}}</li></ul></re-alert-box>\n  ",
                    styles: ["\n    @keyframes rotate{0%{transform:rotate(0);-webkit-transform:rotate(0);-moz-transform:rotate(0)}100%{transform:rotate(360deg);-webkit-transform:rotate(360deg);-moz-transform:rotate(360deg)}}.image-upload .image-upload-item{border-radius:4px;border:1px solid #d9d9d9;float:left;margin:0 8px 8px 0;overflow:hidden;padding:8px;position:relative}.image-upload .image-upload-item .preview-image{width:100%}.image-upload .image-upload-item .image-upload-toolbar{-webkit-transition:all .3s;display:none;left:50%;position:absolute;top:50%;transform:translate(-50%,-50%);transition:all .3s;white-space:nowrap;z-index:10}.image-upload .image-upload-item .image-upload-toolbar .image-upload-toolbar-item{color:#fff;cursor:pointer;margin:0 8px 8px 0;width:1rem}.image-upload .image-upload-image-view{height:100%;overflow:hidden;position:relative;width:100%}.image-upload .image-upload-image-view:hover:before{content:' ';-webkit-transition:all .3s;background:#000;height:100%;opacity:.5;position:absolute;transition:all .3s;width:100%;z-index:1}.image-upload .image-upload-image-view:hover .image-upload-item-info{background:0 0}.image-upload .image-upload-image-view:hover .image-upload-toolbar{display:block}.image-upload .image-upload-image-view:hover .image-upload-toolbar .image-upload-toolbar-item{opacity:.5}.image-upload .image-upload-image-view:hover .image-upload-toolbar .image-upload-toolbar-item:hover{opacity:1}.image-upload .image-upload-btn{align-items:center;background-color:#fafafa;border:1px dashed #d9d9d9;cursor:pointer;display:-moz-box;display:-ms-flexbox;display:-webkit-box;display:-webkit-flex;display:flex;float:left;justify-content:center;text-align:center}.image-upload .image-upload-btn:hover{border-color:#1890ff}.image-upload .image-upload-btn .image-upload-item-info .uploading{-webkit-animation:rotate 1s linear infinite;-moz-animation:rotate 1s linear infinite;animation:rotate 1s linear infinite;display:inline-block}\n  "],
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    exportAs: 'imageUpload',
                    providers: [{
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: forwardRef(function () { return ImageUploadComponent; }),
                            multi: true
                        }]
                },] },
    ];
    /** @nocollapse */
    ImageUploadComponent.ctorParameters = function () { return [
        { type: RebirthNGConfig, },
        { type: Renderer2, },
        { type: HttpClient, decorators: [{ type: Optional },] },
        { type: ChangeDetectorRef, },
        { type: ModalService, },
    ]; };
    ImageUploadComponent.propDecorators = {
        "viewIcon": [{ type: Input },],
    };
    return ImageUploadComponent;
}(FileUpload));
export { ImageUploadComponent };
//# sourceMappingURL=image-upload.component.js.map