import { Injectable } from '@angular/core';
var RebirthNGConfig = /** @class */ (function () {
    function RebirthNGConfig() {
        this.accordion = {
            type: '',
            keepOneItem: true,
            closable: false
        };
        this.alertBox = {
            type: 'info',
            closable: false,
            removeIcon: 'glyphicon glyphicon-remove'
        };
        this.alertBoxPanel = {
            placement: 'top-right',
            cssClass: '',
            width: '',
        };
        this.autoComplete = {
            delay: 300,
            minLength: 3,
            itemTemplate: null,
            noResultItemTemplate: null,
            formatter: function (item) { return item ? (item.label || item.toString()) : ''; },
        };
        this.carousel = {
            interval: 0,
            animate: false,
            reflowDuration: 30,
            animationDuration: 600
        };
        this.checkboxGroup = {
            formatter: function (item) { return item ? (item.label || item.toString()) : ''; },
            valueParser: function (item) { return item; }
        };
        this.datePicker = {
            locale: 'en-US',
            today: 'Today',
            timePicker: false,
            dateConverter: null,
            // DateConverter
            weeks: ['Su', 'Mo', 'Tu', 'We', 'Th', 'Fr', 'Sa'],
            months: ['Jan', 'Feb', 'Mar', 'Apr', 'May', 'Jun', 'Jul', 'Aug', 'Sep', 'Oct', 'Nov', 'Dec'],
            min: 1900,
            max: 2099,
            format: {
                date: 'YYYY-MM-DD',
                time: 'YYYY-MM-DD HH:mm'
            }
        };
        this.dialog = {
            button: {
                yes: 'Yes',
                btnYesType: 'primary',
                no: 'No',
                btnNoType: 'warning'
            }
        };
        this.ellipsis = {
            length: 60,
            placement: 'top'
        };
        this.fileUpload = {
            imgPreview: false,
            previewWidth: '104px',
            previewHeight: '104px',
            uploadParamName: 'file',
            showErrors: true,
            fileSizeErrorMessage: '{0}: size is too large, allowed size is {1};',
            fileTypeErrorMessage: '{0}: file type is invalid, allowed file type is {1};',
            chooseButton: 'Choose',
            uploadButton: 'Upload',
            cancelButton: 'Cancel',
            plusIcon: 'glyphicon glyphicon-plus',
            loadingIcon: 'glyphicon glyphicon-refresh',
            uploadIcon: 'glyphicon glyphicon-upload',
            removeIcon: 'glyphicon glyphicon-trash',
            transformResponseUrl: function (res) { return res.url; }
        };
        this.imageUpload = {
            viewIcon: 'glyphicon glyphicon-eye-open'
        };
        this.modal = {
            animation: true
        };
        this.pager = {
            pageSize: 10,
            aligned: true,
            button: {
                previous: '« Previous',
                next: 'Next »'
            }
        };
        this.pagination = {
            boundary: true,
            pageSize: 10,
            maxItems: 5,
            size: '',
            // '' | 'lg' | 'sm'
            button: {
                first: 'First',
                last: 'Last',
                pre: 'Previous',
                next: 'Next',
                firstLinkCssClass: 'firstLink',
                preLinkCssClass: 'preLink',
                nextLinkCssClass: 'nextLink',
                lastLinkCssClass: 'lastLink'
            }
        };
        this.panel = {
            type: 'default',
            closable: false,
            collapsable: false,
        };
        this.progressBar = {
            type: '',
            max: 100,
            animate: false,
            striped: false
        };
        this.radioGroup = {
            formatter: function (item) { return item ? (item.label || item.toString()) : ''; },
            valueParser: function (item) { return item; }
        };
        this.rating = {
            max: 10,
            icons: { stateOn: 'glyphicon glyphicon-star', stateOff: 'glyphicon glyphicon-star-empty' }
        };
        this.select = {
            iconDown: 'glyphicon glyphicon-menu-down',
            formatter: function (item) { return item ? (item.label || item.toString()) : ''; },
        };
        this.selectButton = {
            type: 'primary',
            justified: false,
            multiple: false
        };
        this.switchBtn = {
            onText: 'ON',
            offText: 'OFF',
            type: 'primary'
        };
        this.slider = {
            max: 100,
            min: 0
        };
        this.tabs = {
            type: 'tabs',
            // 'tabs' | 'pills'
            justified: false,
            vertical: false
        };
        this.tags = {
            type: 'primary',
            newTagText: 'NEW TAG',
            plusIcon: 'glyphicon glyphicon-plus',
            removeIcon: 'glyphicon glyphicon-remove',
            maxlength: 20,
            maxSize: 0
        };
        this.treeView = {
            textField: 'label',
            valueField: 'id',
            leafIcon: 'glyphicon glyphicon-leaf',
            expendIcon: 'glyphicon glyphicon-chevron-down',
            collapseIcon: 'glyphicon glyphicon-chevron-right',
            loadingIcon: 'glyphicon glyphicon-cloud-download',
        };
    }
    // constructor(@Inject(LOCALE_ID) private locale: string) {
    // }
    // constructor(@Inject(LOCALE_ID) private locale: string) {
    // }
    RebirthNGConfig.prototype.extend = 
    // constructor(@Inject(LOCALE_ID) private locale: string) {
    // }
    function (obj) {
        this.extendConfig(obj, this);
        return this;
    };
    RebirthNGConfig.prototype.extendConfig = function (obj, targetObj) {
        var _this = this;
        Object.keys(obj || {})
            .reduce(function (target, key) {
            var value = obj[key];
            if (value instanceof Object) {
                _this.extendConfig(value, target[key]);
            }
            else {
                target[key] = value;
            }
            return target;
        }, targetObj);
    };
    RebirthNGConfig.decorators = [
        { type: Injectable },
    ];
    return RebirthNGConfig;
}());
export { RebirthNGConfig };
//# sourceMappingURL=rebirth-ng.config.js.map