import { EventEmitter, ElementRef, TemplateRef, OnInit, ChangeDetectorRef } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { RebirthNGConfig } from '../rebirth-ng.config';
import { GroupOption } from './select.model';
export declare class SelectComponent implements OnInit, ControlValueAccessor {
    private changeDetectorRef;
    private elementRef;
    disabled: boolean;
    placeholder: string;
    iconDown: string;
    direction: 'down' | 'up';
    itemTemplate: TemplateRef<any>;
    formatter: (obj: any) => string;
    onSelect: EventEmitter<any>;
    arrowState: string;
    activeIndex: number;
    selectedItem: any;
    selectedText: string;
    isPopup: boolean;
    private _groupOptions;
    private _options;
    private onChange;
    private onTouched;
    constructor(changeDetectorRef: ChangeDetectorRef, elementRef: ElementRef, rebirthNgConfig: RebirthNGConfig);
    groupOptions: GroupOption[];
    options: any[];
    ngOnInit(): void;
    writeValue(value: any): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    onPopupToggle(isPopup?: boolean): void;
    onSelectedChange(value: any): void;
    onActiveIndexChange(index: any): number;
    onEscKeyup($event: any): void;
    onEnterKeyDown($event: any): void;
    onArrowUpKeyDown($event: any): void;
    onArrowDownKeyDown($event: any): void;
    onDocumentClick($event: Event): void;
    isGroupItem(item: any): boolean;
    private changeValue(value);
    private updateActiveIndex();
}
