import { Directive, Inject, Input, LOCALE_ID } from '@angular/core';
import { NG_VALIDATORS } from '@angular/forms';
import { includesValidator, equalToValidator, rangeLengthValidator, minValidator, maxValidator, rangeValidator, digitsValidator, numberValidator, urlValidator, emailValidator, dateValidator, dateISOValidator, jsonValidator, base64Validator, phoneValidator, uuidValidator, equalValidator, beforeDateValidator, afterDateValidator, requiredWithTrim } from './rebirth-validators';
var RequiredWithTrimDirective = /** @class */ (function () {
    function RequiredWithTrimDirective() {
    }
    RequiredWithTrimDirective.prototype.validate = function (control) {
        return requiredWithTrim(control);
    };
    RequiredWithTrimDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[reRequiredWithTrim]',
                    providers: [{ provide: NG_VALIDATORS, useExisting: RequiredWithTrimDirective, multi: true }]
                },] },
    ];
    return RequiredWithTrimDirective;
}());
export { RequiredWithTrimDirective };
var RangeLengthDirective = /** @class */ (function () {
    function RangeLengthDirective() {
    }
    RangeLengthDirective.prototype.validate = function (control) {
        return rangeLengthValidator(this.reRangeLength)(control);
    };
    RangeLengthDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[reRangeLength]',
                    providers: [{ provide: NG_VALIDATORS, useExisting: RangeLengthDirective, multi: true }]
                },] },
    ];
    /** @nocollapse */
    RangeLengthDirective.propDecorators = {
        "reRangeLength": [{ type: Input },],
    };
    return RangeLengthDirective;
}());
export { RangeLengthDirective };
var MinDirective = /** @class */ (function () {
    function MinDirective() {
    }
    MinDirective.prototype.validate = function (control) {
        return minValidator(this.reMin)(control);
    };
    MinDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[reMin]',
                    providers: [{ provide: NG_VALIDATORS, useExisting: MinDirective, multi: true }]
                },] },
    ];
    /** @nocollapse */
    MinDirective.propDecorators = {
        "reMin": [{ type: Input },],
    };
    return MinDirective;
}());
export { MinDirective };
var MaxDirective = /** @class */ (function () {
    function MaxDirective() {
    }
    MaxDirective.prototype.validate = function (control) {
        return maxValidator(this.reMax)(control);
    };
    MaxDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[reMax]',
                    providers: [{ provide: NG_VALIDATORS, useExisting: MaxDirective, multi: true }]
                },] },
    ];
    /** @nocollapse */
    MaxDirective.propDecorators = {
        "reMax": [{ type: Input },],
    };
    return MaxDirective;
}());
export { MaxDirective };
var RangeDirective = /** @class */ (function () {
    function RangeDirective() {
    }
    RangeDirective.prototype.validate = function (control) {
        return rangeValidator(this.reRange)(control);
    };
    RangeDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[reRange]',
                    providers: [{ provide: NG_VALIDATORS, useExisting: RangeDirective, multi: true }]
                },] },
    ];
    /** @nocollapse */
    RangeDirective.propDecorators = {
        "reRange": [{ type: Input },],
    };
    return RangeDirective;
}());
export { RangeDirective };
var DigitsDirective = /** @class */ (function () {
    function DigitsDirective() {
    }
    DigitsDirective.prototype.validate = function (control) {
        return digitsValidator()(control);
    };
    DigitsDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[reDigits]',
                    providers: [{ provide: NG_VALIDATORS, useExisting: DigitsDirective, multi: true }]
                },] },
    ];
    return DigitsDirective;
}());
export { DigitsDirective };
var NumberDirective = /** @class */ (function () {
    function NumberDirective() {
    }
    NumberDirective.prototype.validate = function (control) {
        return numberValidator()(control);
    };
    NumberDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[reNumber]',
                    providers: [{ provide: NG_VALIDATORS, useExisting: NumberDirective, multi: true }]
                },] },
    ];
    return NumberDirective;
}());
export { NumberDirective };
var UrlDirective = /** @class */ (function () {
    function UrlDirective() {
    }
    UrlDirective.prototype.validate = function (control) {
        return urlValidator()(control);
    };
    UrlDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[reUrl]',
                    providers: [{ provide: NG_VALIDATORS, useExisting: UrlDirective, multi: true }]
                },] },
    ];
    return UrlDirective;
}());
export { UrlDirective };
var EmailDirective = /** @class */ (function () {
    function EmailDirective() {
    }
    EmailDirective.prototype.validate = function (control) {
        return emailValidator()(control);
    };
    EmailDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[reEmail]',
                    providers: [{ provide: NG_VALIDATORS, useExisting: EmailDirective, multi: true }]
                },] },
    ];
    return EmailDirective;
}());
export { EmailDirective };
var DateDirective = /** @class */ (function () {
    function DateDirective() {
    }
    DateDirective.prototype.validate = function (control) {
        return dateValidator()(control);
    };
    DateDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[reDate]',
                    providers: [{ provide: NG_VALIDATORS, useExisting: DateDirective, multi: true }]
                },] },
    ];
    return DateDirective;
}());
export { DateDirective };
var DateISODirective = /** @class */ (function () {
    function DateISODirective() {
    }
    DateISODirective.prototype.validate = function (control) {
        return dateISOValidator()(control);
    };
    DateISODirective.decorators = [
        { type: Directive, args: [{
                    selector: '[reDateISO]',
                    providers: [{ provide: NG_VALIDATORS, useExisting: DateISODirective, multi: true }]
                },] },
    ];
    return DateISODirective;
}());
export { DateISODirective };
var JsonDirective = /** @class */ (function () {
    function JsonDirective() {
    }
    JsonDirective.prototype.validate = function (control) {
        return jsonValidator()(control);
    };
    JsonDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[reJson]',
                    providers: [{ provide: NG_VALIDATORS, useExisting: JsonDirective, multi: true }]
                },] },
    ];
    return JsonDirective;
}());
export { JsonDirective };
var Base64Directive = /** @class */ (function () {
    function Base64Directive() {
    }
    Base64Directive.prototype.validate = function (control) {
        return base64Validator()(control);
    };
    Base64Directive.decorators = [
        { type: Directive, args: [{
                    selector: '[reBase64]',
                    providers: [{ provide: NG_VALIDATORS, useExisting: Base64Directive, multi: true }]
                },] },
    ];
    return Base64Directive;
}());
export { Base64Directive };
var PhoneDirective = /** @class */ (function () {
    function PhoneDirective(locale) {
        this.locale = locale;
    }
    PhoneDirective.prototype.validate = function (control) {
        return phoneValidator(this.rePhone || this.locale)(control);
    };
    PhoneDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[rePhone]',
                    providers: [{ provide: NG_VALIDATORS, useExisting: PhoneDirective, multi: true }]
                },] },
    ];
    /** @nocollapse */
    PhoneDirective.ctorParameters = function () { return [
        { type: undefined, decorators: [{ type: Inject, args: [LOCALE_ID,] },] },
    ]; };
    PhoneDirective.propDecorators = {
        "rePhone": [{ type: Input },],
    };
    return PhoneDirective;
}());
export { PhoneDirective };
var UUIDDirective = /** @class */ (function () {
    function UUIDDirective() {
    }
    UUIDDirective.prototype.validate = function (control) {
        return uuidValidator()(control);
    };
    UUIDDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[reUUID]',
                    providers: [{ provide: NG_VALIDATORS, useExisting: UUIDDirective, multi: true }]
                },] },
    ];
    return UUIDDirective;
}());
export { UUIDDirective };
var EqualDirective = /** @class */ (function () {
    function EqualDirective() {
    }
    EqualDirective.prototype.validate = function (control) {
        return equalValidator(this.reEqual)(control);
    };
    EqualDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[reEqual]',
                    providers: [{ provide: NG_VALIDATORS, useExisting: EqualDirective, multi: true }]
                },] },
    ];
    /** @nocollapse */
    EqualDirective.propDecorators = {
        "reEqual": [{ type: Input },],
    };
    return EqualDirective;
}());
export { EqualDirective };
var IncludesDirective = /** @class */ (function () {
    function IncludesDirective() {
    }
    IncludesDirective.prototype.validate = function (control) {
        return includesValidator(this.reIncludes)(control);
    };
    IncludesDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[reIncludes]',
                    providers: [{ provide: NG_VALIDATORS, useExisting: IncludesDirective, multi: true }]
                },] },
    ];
    /** @nocollapse */
    IncludesDirective.propDecorators = {
        "reIncludes": [{ type: Input },],
    };
    return IncludesDirective;
}());
export { IncludesDirective };
var EqualToDirective = /** @class */ (function () {
    function EqualToDirective() {
    }
    Object.defineProperty(EqualToDirective.prototype, "reEqualTo", {
        set: function (target) {
            this.validatorFn = equalToValidator(target);
        },
        enumerable: true,
        configurable: true
    });
    ;
    EqualToDirective.prototype.validate = function (control) {
        return this.validatorFn(control);
    };
    EqualToDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[reEqualTo]',
                    providers: [{ provide: NG_VALIDATORS, useExisting: EqualToDirective, multi: true }]
                },] },
    ];
    /** @nocollapse */
    EqualToDirective.propDecorators = {
        "reEqualTo": [{ type: Input },],
    };
    return EqualToDirective;
}());
export { EqualToDirective };
var BeforeDateDirective = /** @class */ (function () {
    function BeforeDateDirective() {
    }
    Object.defineProperty(BeforeDateDirective.prototype, "reBeforeDate", {
        set: function (target) {
            this.validatorFn = beforeDateValidator(target);
        },
        enumerable: true,
        configurable: true
    });
    ;
    BeforeDateDirective.prototype.validate = function (control) {
        return this.validatorFn(control);
    };
    BeforeDateDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[reBeforeDate]',
                    providers: [{ provide: NG_VALIDATORS, useExisting: BeforeDateDirective, multi: true }]
                },] },
    ];
    /** @nocollapse */
    BeforeDateDirective.propDecorators = {
        "reBeforeDate": [{ type: Input },],
    };
    return BeforeDateDirective;
}());
export { BeforeDateDirective };
var AfterDateDirective = /** @class */ (function () {
    function AfterDateDirective() {
    }
    Object.defineProperty(AfterDateDirective.prototype, "reAfterDate", {
        set: function (target) {
            this.validatorFn = afterDateValidator(target);
        },
        enumerable: true,
        configurable: true
    });
    ;
    AfterDateDirective.prototype.validate = function (control) {
        return this.validatorFn(control);
    };
    AfterDateDirective.decorators = [
        { type: Directive, args: [{
                    selector: '[reAfterDate]',
                    providers: [{ provide: NG_VALIDATORS, useExisting: AfterDateDirective, multi: true }]
                },] },
    ];
    /** @nocollapse */
    AfterDateDirective.propDecorators = {
        "reAfterDate": [{ type: Input },],
    };
    return AfterDateDirective;
}());
export { AfterDateDirective };
//# sourceMappingURL=rebirth-validators.directive.js.map